<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.inkasso.factoring.financingmanagement.dao.CFinancingGoodsInfoMapper">

    <select id="listByAcceptanceId" resultType="com.inkasso.factoring.financingmanagement.entity.CFinancingGoodsInfo">
        select t1.* from
         c_financing_goods_info t1
        left join c_financing_basic_info t2 on t2.id = t1.c_financing_basic_info_id
        where t1.acceptance_basic_info_id = #{acceptanceBasicInfoId}
        and t2.financing_status in (select id from t_dictionary where code in ('mortgage_create','mortgage_approval'))
    </select>
</mapper>
